/// <reference types="node" />
import { URL } from 'url';
import { ClientOptions, API } from './interfaces/';
export declare class LibrariesIO {
    private readonly requestService;
    private options;
    api: API;
    constructor(apiKey: string);
    constructor(options: ClientOptions);
    /**
     * Set a new API URL.
     * @param newUrl The new API url
     */
    setApiUrl(newUrl: URL): void;
}
