import { AxiosError } from 'axios';
export declare class APIException extends Error {
    constructor(message?: string, serverMessage?: string);
}
export declare class AuthenticationError extends Error {
    constructor(message?: string, serverMessage?: string);
}
export declare class RateLimitError extends Error {
    constructor(message?: string, serverMessage?: string);
}
export declare class NotFoundError extends Error {
    constructor(message?: string, serverMessage?: string);
}
export declare class InvalidResponseError extends Error {
    constructor(message?: string);
}
export declare function ExceptionMapper(error: AxiosError): Error;
