"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Endpoints_1 = require("../Endpoints");
var PlatformAPI = /** @class */ (function () {
    function PlatformAPI(requestService) {
        this.requestService = requestService;
    }
    /**
     * Get list of supported package managers.
     * @see https://libraries.io/api#platforms
     * @param options Pagination options
     */
    PlatformAPI.prototype.getPlatforms = function (options) {
        var endpoint = Endpoints_1.Endpoint.platforms();
        return this.requestService.get(endpoint, options);
    };
    return PlatformAPI;
}());
exports.PlatformAPI = PlatformAPI;
//# sourceMappingURL=PlatformAPI.js.map